<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	if ( isset($_POST['rozmiarTekstu']) and $_POST['rozmiarTekstu'] < 10 )
		$_POST['rozmiarTekstu'] = 16;
	if ( isset($_POST['szerokosc']) and $_POST['szerokosc'] < 400 )
		$_POST['szerokosc'] = 800;
	if ( isset($_POST['obrazTla']) and $_POST['obrazTla'] == '.' )
		$_POST['obrazTla'] = '';

	if ( $_POST['motyw'] != odczytKonf('motyw') )
		komunikat('dob.Motyw został zmieniony.');
	else
		komunikat(1);

    zapisKonfPOST();

}

$listaPlikowGraficznych      = listaPlikow('bmp;jpg;jpeg;svg;png');
$listaPlikowGraficznych['.'] = '(brak obrazu tła)';

$listaKrojow = array( 'Armata', 'Average Sans', 'Cantora One', 'Capriola', 'Doppio One', 'Duru Sans', 'Exo', 'Hammersmith One', 'Inder', 'Istok Web', 'Lato', 'Open Sans', 'Oxygen', 'PT Sans', 'Pontano Sans', 'Scada', 'Signika Negative', 'Source Sans Pro', 'Titillium Web', 'Ubuntu', 'Voces' );

$listaPozycjiObrazuTla = array( 'left top' => 'Po lewej u góry', 'left bottom' => 'Po lewej na dole', 'right top' => 'Po prawej u góry', 'right bottom' => 'Po prawej na dole', 'center center' => 'Na środku', 'center left' => 'Na środku po lewej', 'center right' => 'Na środku po prawej', 'center top' => 'Na środku u góry', 'center bottom' => 'Na środku na dole' );

$listaPersonalizacji = array( 'oryginalnyMotyw' => 'Oryginalny motyw (bez zmian użytkownika)', 'zmianyUzytkownika' => 'Wszystkie zmiany użytkownika', 'kolorystyka' => 'Tylko kolorystyka', 'tekst' => 'Tylko krój i rozmiar tekstu', 'tlo' => 'Tylko kolor i obraz tła', 'szerokosc' => 'Tylko szerokość witryny' );

$odczytObrazuTla = odczytKonf('obrazTla');
if ( empty($odczytObrazuTla) )
	$odczytObrazuTla = '.';

$odczytMotywu = odczytTypuMotywu( 'motywy', odczytKonf('motyw') );

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Motywy i personalizacja</h2>

<script src="<?php echo SYSTEM ?>/admin/pliki/jscolor/jscolor.js"></script>

<form method="post">

<h3>Motywy</h3>

<ul class="listaKafelkowa">
<?php
foreach ( zainstalowaneTypyMotywy('motywy') as $identyfikatorMotywu ) {
	$odczytMotywuPetla = odczytTypuMotywu ( 'motywy', $identyfikatorMotywu );
?>
	<li>
		<span>
			<input type="radio" name="motyw" value="<?php echo $identyfikatorMotywu; ?>" <?php zaznaczCheckbox( $identyfikatorMotywu, odczytKonf('motyw') ); ?> id="op<?php echo $identyfikatorMotywu; ?>" />
			<label for="op<?php echo $identyfikatorMotywu; ?>" title="<?php echo $odczytMotywuPetla['informacje']['nazwa']; ?>"><?php echo $odczytMotywuPetla['informacje']['nazwa']; ?></label>
		</span>
		<?php if ( odczytKonf('edytorPlikow') ) { ?>
		<a href="#"><?php echo ($odczytMotywuPetla['wlasny']) ? 'Własny' : 'Domyślny'; ?></a> |
		<a href="?id=edycjaTypuMotywu&element=motywy&b=<?php echo $identyfikatorMotywu; ?>">Edytuj</a>
		<?php } ?>
	</li>
<?php
}
?>
</ul>

<h3>Personalizacja motywu</h3>

<?php
if ( !$odczytMotywu['personalizacja']['kolorTla'] or !$odczytMotywu['personalizacja']['obrazTla'] or !$odczytMotywu['personalizacja']['kolorTekstu'] or !$odczytMotywu['personalizacja']['krojTekstu'] or !$odczytMotywu['personalizacja']['rozmiarTekstu'] or !$odczytMotywu['personalizacja']['szerokosc'] ) {
?>
<p class="uwaga">Używany obecnie motyw nie obsługuje niektórych możliwości personalizacji. Część poniższych opcji pozostanie niedostępna.</p>
<?php
}
?>

<table>
	<tr> <td>Uwzględnianie personalizacji użytkownika:</td> <td><select name="personalizacja"><?php generujListeWyboru( $listaPersonalizacji, odczytKonf('personalizacja') ); ?></select></td> </tr>
</table>

<table>
	<tr>
		<td>Kolor tekstu:</td> <td><input type="text" class="poleKoloru" name="kolorTekstu" value="<?php echo odczytKonf('kolorTekstu')?>" <?php wylaczElement( $odczytMotywu['personalizacja']['kolorTekstu'], false ); ?> /></td>
		<td>Kolor tła:</td> <td><input type="text" class="poleKoloru" name="kolorTla" value="<?php echo odczytKonf('kolorTla')?>" <?php wylaczElement( $odczytMotywu['personalizacja']['kolorTla'], false ); ?> /></td>
	</tr>
<?php
if ( $odczytMotywu['koloryDodatkowe']['1_nazwa'] != false or $odczytMotywu['koloryDodatkowe']['2_nazwa'] != false ) {
?>
	<tr>
<?php
	if ( $odczytMotywu['koloryDodatkowe']['1_nazwa'] != false ) {
?>
		<td><?php echo ($odczytMotywu['koloryDodatkowe']['1_nazwa']!=false) ? $odczytMotywu['koloryDodatkowe']['1_nazwa'] . ':' : ''; ?></td>
		<td><input type="text" class="poleKoloru" name="kolorDodatkowy1" value="<?php echo odczytKonf('kolorDodatkowy1')?>" /></td>
<?php
	}
	if ( $odczytMotywu['koloryDodatkowe']['2_nazwa'] != false ) {
?>
		<td><?php echo ($odczytMotywu['koloryDodatkowe']['2_nazwa']!=false) ? $odczytMotywu['koloryDodatkowe']['2_nazwa'] . ':' : ''; ?></td>
		<td><input type="text" class="poleKoloru" name="kolorDodatkowy2" value="<?php echo odczytKonf('kolorDodatkowy2')?>" /></td>
	</tr>
<?php
	}
}
?>
</table>

<table>
	<tr> <td>Krój tekstu:</td> <td><select <?php wylaczElement( $odczytMotywu['personalizacja']['krojTekstu'], false ); ?> name="krojTekstu"><?php generujListeWyboru( $listaKrojow, odczytKonf('krojTekstu') ); ?></select></td> </tr>
	<tr> <td>Rozmiar tekstu:</td> <td><input type="number" name="rozmiarTekstu" value="<?php echo odczytKonf('rozmiarTekstu'); ?>" min="10" <?php wylaczElement( $odczytMotywu['personalizacja']['rozmiarTekstu'], false ); ?> /></td> </tr>
	<tr> <td>Szerokość witryny:</td> <td><input type="number" name="szerokosc" value="<?php echo odczytKonf('szerokosc'); ?>" min="400" max="2000" step="25" <?php wylaczElement( $odczytMotywu['personalizacja']['szerokosc'], false ); ?> /></td> </tr>
</table>

<table>
	<tr> <td>Obraz tła:</td> <td><select <?php wylaczElement( $odczytMotywu['personalizacja']['obrazTla'], false ); ?> name="obrazTla"><?php generujListeWyboru($listaPlikowGraficznych,$odczytObrazuTla); ?></select></td> </tr>
	<tr> <td>Pozycja obrazu tła:</td> <td><select <?php wylaczElement( $odczytMotywu['personalizacja']['obrazTla'], false ); ?> name="obrazTlaPozycja"><?php generujListeWyboru( $listaPozycjiObrazuTla, odczytKonf('obrazTlaPozycja') ); ?></select></td> </tr>
	<tr>
		<td><input type="checkbox" <?php wylaczElement( $odczytMotywu['personalizacja']['obrazTla'], false ); ?> name="obrazTlaPowtarzanie" value="1" <?php zaznaczCheckbox( odczytKonf('obrazTlaPowtarzanie') ) ?> id="op11" /><label for="op11">Powtarzaj obraz tła</label></td>
		<td><input type="checkbox" <?php wylaczElement( $odczytMotywu['personalizacja']['obrazTla'], false ); ?> name="obrazTlaPrzyczepienie" value="1" <?php zaznaczCheckbox( odczytKonf('obrazTlaPrzyczepienie') ) ?> id="op12" /><label for="op12">Przyczep obraz tła</label></td>
	</tr>
</table>

<input type="hidden" name="checkboksy" value="obrazTlaPowtarzanie,obrazTlaPrzyczepienie" />
<p class="przyciskWysylania"><input type="submit" value="Zapisz ustawienia" /></p>

</form>
<?php
include (SYSTEM.'/admin/stopka.php');