<?php
// WizyTówka 4
if (!defined('WT')) exit();


if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {

	if ( !odczytStrony($_POST['stronaGlowna']) )
		$_POST['stronaGlowna'] = odczytKonf('stronaGlowna');
		// jakby ktoś chciał przez HTML zhackować stronę głowną, to nie da rady ;-)

	if ( !sprawdzAdres($_POST['adres']) ) {
		komunikat('zle.Podany adres witryny jest niepoprawny.');
		$_POST['adres'] = odczytKonf('adres');
	}
	elseif ( substr($_POST['adres'],-1) == '/' )
		$_POST['adres'] = substr( $_POST['adres'], 0, -1 );

	if ( isset($_POST['przyjazneAdresy']) and $_POST['przyjazneAdresy'] != odczytKonf('przyjazneAdresy') ) {

		if ( !is_writable('.') ) {
			komunikat('zle.Serwer nie umożliwa utworzenia pliku <strong>.htaccess</strong>. Przyjazne adresy nie zostały włączone.');
			$_POST['przyjazneAdresy'] = 0;
		}

		else {
			$podfolder = null;
			$czesciAdresu = explode( '/', substr(odczytKonf('adres'),7) );
			if ( count($czesciAdresu) > 1 )
				$podfolder = $czesciAdresu[ count($czesciAdresu)-1 ];
			zapiszPlik ( '.htaccess', 'RewriteEngine on' . "\n" . 'RewriteBase /' . $podfolder . "\n\n" . 'RewriteCond %{REQUEST_FILENAME} !-f' . "\n" . 'RewriteCond %{REQUEST_FILENAME} !-d' . "\n" . 'RewriteRule /?([A-Za-z0-9-.]+)/?$ index.php?id=$1 [QSA,L]' );
		}

	}

	elseif ( !isset($_POST['przyjazneAdresy']) and odczytKonf('przyjazneAdresy') )
		usunPlik('.htaccess');

    zapisKonfPOST();

	if ( !komunikat() )
		komunikat(1);

}

$tablicaIstniejacychStron = listaStron();
if ( count($tablicaIstniejacychStron) > 0 ) {
	foreach ( $tablicaIstniejacychStron as $identyfikatorStrony ) {
		$odczytStrony = odczytStrony($identyfikatorStrony);
		$tablicaIstniejacychStronZTytulami[ $identyfikatorStrony ] = $odczytStrony['tytul'];
	}
}

$listaFormatowDaty = array( 'd.m.Y H:i:s' => date('d.m.Y H:i:s'), 'Y-m-d H:i:s' => date('Y-m-d H:i:s'), 'j.n.y, G:i:s' => date('j.n.y, G:i:s') );

include (SYSTEM.'/admin/naglowek.php');
?>
<h2>Ustawienia witryny</h2>

<form method="post">

<h3>Ustawienia główne</h3>

<table>
	<tr> <td>Tytuł witryny:</td> <td><input type="text" name="tytul" value="<?php echo odczytKonf('tytul') ?>" required /></td> </tr>
	<tr> <td>Układ tytułu witryny w przeglądarce:</td> <td><input type="text" name="ukladTytulu" value="<?php echo odczytKonf('ukladTytulu') ?>" required /></td> </tr>
	<tr> <td>Adres witryny:</td> <td><input type="url" name="adres" value="<?php echo odczytKonf('adres') ?>" required /></td> </tr>
	<tr> <td>Autor witryny:</td> <td><input type="text" name="autor" value="<?php echo odczytKonf('autor') ?>" /></td> </tr>
	<tr> <td>Strona główna witryny:</td> <td><select name="stronaGlowna"><?php generujListeWyboru( $tablicaIstniejacychStronZTytulami, odczytKonf('stronaGlowna') ); ?></select></td> </tr>
</table>

<p class="informacja">Oznaczenie <strong>%strona%</strong> umożliwia umieszczenie w pasku przeglądarki tytułu aktualnej strony.</p>

<h3>Typografia</h3>

<table>
	<tr>
		<td><input type="checkbox" name="typografiaCudzyslowy" value="1" <?php zaznaczCheckbox(odczytKonf('typografiaCudzyslowy')) ?> id="op11" /><label for="op11">Automatyczna poprawa cudzysłowów</label></td>
		<td><input type="checkbox" name="typografiaInne" value="1" <?php zaznaczCheckbox(odczytKonf('typografiaInne')) ?> id="op12" /><label for="op12">Automatyczna poprawa innych znaków</label></td>
	</tr>
	<tr>
		<td><input type="checkbox" name="typografiaSpojniki" value="1" <?php zaznaczCheckbox(odczytKonf('typografiaSpojniki')) ?> id="op13" /><label for="op13">Przenoszenie spójników z końca wiersza</label></td>
		<td><input type="checkbox" name="typografiaPolpauza" value="1" <?php zaznaczCheckbox(odczytKonf('typografiaPolpauza')) ?> <?php wylaczElement(odczytKonf('typografiaInne'),'0') ?> id="op14" /><label for="op14">Jako myślnik półpauza zamiast pauzy</label></td>
	</tr>
</table>

<?php if ( odczytKonf('przerwaTechniczna') ) { ?>
<h3>Tryb przerwy technicznej</h3>

<table>
	<tr> <td>Komunikat strony:</td> <td><input type="text" name="przerwaTechnicznaTekst" value="<?php echo odczytKonf('przerwaTechnicznaTekst') ?>" /></td> </tr>
	<tr> <td>Tytuł strony w przeglądarce:</td> <td><input type="text" name="przerwaTechnicznaTitle" value="<?php echo odczytKonf('przerwaTechnicznaTitle') ?>" /></td> </tr>
</table>
<?php } ?>

<h3>Pozostałe ustawienia</h3>

<table>
	<tr> <td>Adres e-mail:</td> <td><input type="email" name="email" value="<?php echo odczytKonf('email') ?>" required /></td> </tr>
	<tr> <td>Format daty:</td> <td><select name="formatDaty"><?php generujListeWyboru( $listaFormatowDaty, odczytKonf('formatDaty') ); ?></select></td> </tr>
	<tr>
		<td><input type="checkbox" name="przyjazneAdresy" value="1" <?php zaznaczCheckbox(odczytKonf('przyjazneAdresy')) ?> <?php if (strpos($_SERVER['SERVER_SOFTWARE'],'Apache') === false) echo 'disabled'; ?> id="op21" /><label for="op21">Przyjazne adresy</label></td>
		<td><input type="checkbox" name="przerwaTechniczna" value="1" <?php zaznaczCheckbox(odczytKonf('przerwaTechniczna')) ?> id="op22" /><label for="op22">Przerwa techniczna</label></td>
	</tr>
</table>

<p class="informacja">Podczas przerwy technicznej tylko autor witryny ma do niej dostęp.</p>

<input type="hidden" name="checkboksy" value="typografiaCudzyslowy,typografiaSpojniki,typografiaInne,typografiaPolpauza,przyjazneAdresy,przerwaTechniczna" />
<p class="przyciskWysylania"><input type="submit" value="Zapisz ustawienia" /></p>

</form>
<?php
include (SYSTEM.'/admin/stopka.php');