<?php
// WizyTówka 4
if (!defined('WT')) exit();


// funkcje odczytu danych strony

function pamiecPodreczna ( $tablica = null, $nazwa = null ) {

	static $pamiecPodreczna = array();

	if ( is_string($tablica) ) {
		if ( isset( $pamiecPodreczna[$tablica] ) )
			return $pamiecPodreczna[$tablica];
		else
			return false;
	}

	elseif ( is_array($tablica) and !empty($nazwa) )
		$pamiecPodreczna[$nazwa] = $tablica;

    elseif ( empty($tablica) )
        return $pamiecPodreczna;

}

function odczytKonf ( $ustawienia = null ) {

	if ( !pamiecPodreczna( 'konfiguracja' ) ) {
		if ( !$plikKonf = otworzPlik( DANE . '/konfiguracja.wtk' ) )
			blad ( 'Plik konfiguracyjny jest uszkodzony.' );
		if ( !$jawnyPlikKonf = unserialize( $plikKonf ) )
			blad ( 'Tablica pliku konfiguracyjnego jest uszkodzona.' );
		pamiecPodreczna( $jawnyPlikKonf, 'konfiguracja' );
	}
	$odczyt = pamiecPodreczna( 'konfiguracja' );

	if ( empty( $ustawienia ) )
		return $odczyt;
	elseif ( is_string( $ustawienia ) )
		return $odczyt[$ustawienia];
	elseif ( is_array( $ustawienia ) ) {
		foreach ( $ustawienia as $u )
			$tablica[$u] = $odczyt[$u];
		return $tablica;
	}

}

function zapisKonf ( $ustawienia, $WTK = false ) {

	$konfiguracjaZmodyfikowana = array_replace ( odczytKonf(), $ustawienia );
	if ( $WTK )
		$konfiguracjaZmodyfikowana = $ustawienia;

	pamiecPodreczna( $konfiguracjaZmodyfikowana, 'konfiguracja' );
	zapiszPlik( DANE . '/konfiguracja.wtk', serialize( $konfiguracjaZmodyfikowana ) );

}

function odczytPlikuWTK ( $nazwaPliku, $uzyjPamieciPodrecznej = false ) {

	if ( !$uzyjPamieciPodrecznej or !pamiecPodreczna( 'WTK_' . $nazwaPliku ) ) {

		if ( ($jawnyPlikWTK = unserialize( otworzPlik( DANE . '/' . $nazwaPliku ) )) === false )
			blad( 'Tablica pliku WTK jest uszkodzona.<br />Nazwa pliku: ' . DANE . '/' . $nazwaPliku );

		if ( $uzyjPamieciPodrecznej )
			pamiecPodreczna ( $jawnyPlikWTK, 'WTK_' . $nazwaPliku );

		return $jawnyPlikWTK;

	}

	else
		return pamiecPodreczna ( 'WTK_' . $nazwaPliku );

}

function zapisPlikuWTK ( $ustawienia, $nazwaPliku ) {

	$plikDotychczasowy = unserialize( otworzPlik( DANE . '/' . $nazwaPliku ) );
	$plikZmodyfikowany = array_replace( $plikDotychczasowy, $ustawienia );

	zapiszPlik( DANE . '/' . $nazwaPliku, serialize( $plikZmodyfikowany ) );

}

function listaPlikow ( $rozszerzenia = null ) {

	$wszystkiePliki = glob( odczytKonf('adresPlikow') . '/*' );

	$wszystkiePliki = array_map ( 'basename', $wszystkiePliki );
	foreach ( $wszystkiePliki as $numer => $element ) {
		if ( is_dir( odczytKonf('adresPlikow') . '/' . $element ) )
			unset( $wszystkiePliki[$numer] );
	}

	if ( !empty($rozszerzenia) ) {

		$rozszerzenia = explode( ';', $rozszerzenia );
		$filtr = array();

		foreach ( $wszystkiePliki as $element ) {
			$nazwa_elementu = explode('.',strtolower($element));
			foreach ( $rozszerzenia as $koncowka ) {
				if ( $nazwa_elementu[ count($nazwa_elementu)-1 ] == $koncowka )
					$filtr[] = $element;
			}
		}

		$wszystkiePliki = $filtr;

	}

	return $wszystkiePliki;

}

function listaStron ( $szkice = false ) {

	if ( $szkice )
		$wszystkieStrony = glob( DANE . '/szkice/*.wtk' );
	else {
		$wszystkieStrony = glob( DANE . '/strony/*.wtk' );
		if ( count($wszystkieStrony) == 0 )
			blad('Nie istnieją żadne strony w witrynie!');
	}

	return  array_map ( 'usunRozszerzenie', array_map ( 'basename', $wszystkieStrony ) );

}

function odczytStrony ( $identyfikator, $szkic = false, $zawartoscZamiastUstawien = false ) {

	if ( $szkic and !file_exists( DANE . '/szkice/' . $identyfikator . '.wtk' ) )
		return false;
	if ( !$szkic and !file_exists( DANE . '/strony/' . $identyfikator . '.wtk' ) )
		return false;

	if ( $zawartoscZamiastUstawien )
		$rozszerzenie = 'wtz';
	else
		$rozszerzenie = 'wtk';

	if ( $szkic )
		return odczytPlikuWTK( 'szkice/' . $identyfikator . '.' . $rozszerzenie );
	else
		return odczytPlikuWTK( 'strony/' . $identyfikator . '.' . $rozszerzenie );

}

function odczytTypuMotywu ( $element, $identyfikator ) {

	if ( $element != 'typy' and $element != 'motywy' )
		return false;

	if     ( file_exists( DANE   . '/' . $element . '/' . $identyfikator . '/' . $identyfikator . '.wtu' ) ) {
		$ustawienia['wlasny'] = true;
		$lokalizacjaPlikuUstawien = DANE   . '/' . $element . '/' . $identyfikator . '/' . $identyfikator . '.wtu';
	}
	elseif ( file_exists( SYSTEM . '/' . $element . '/' . $identyfikator . '/' . $identyfikator . '.wtu' ) ) {
		$ustawienia['wlasny'] = false;
		$lokalizacjaPlikuUstawien = SYSTEM . '/' . $element . '/' . $identyfikator . '/' . $identyfikator . '.wtu';
	}
	else
		return false;

	if ( !$tablicaUstawien = parse_ini_file( $lokalizacjaPlikuUstawien, true) )
		blad ( 'Plik WTU motywu/typu jest uszkodzony.<br />Identyfikator typu/motywu: ' . $identyfikator );

	return array_replace( $ustawienia, $tablicaUstawien );

}

function wiadomosc( $tresc, $temat = null ) {

	if ( odczytKonf('email') == null )
		return false;

	if ( odczytKonf('tytul') == null )
		$temat .= ' — WizyTówka';
	else
		$temat .= ' — ' . odczytKonf('tytul');

	$tresc .= "\n\n" . '________________________________________' . "\n" . odczytKonf('adres');

	$poszukiwanieDomeny = explode( '/', odczytKonf('adres'), 4 );
	$naglowki = 'From: wizytowka@' . $poszukiwanieDomeny[2] . "\r\n" . 'Content-type: text/plain; charset=UTF-8';

	if (  mb_send_mail( odczytKonf('email'), $temat, wordwrap($tresc,70) )  ) {
		zapisKonf( array( 'wiadomoscEmailNiepomyslnie' => '' ) );
		return true;
	}
	else {
		zapisKonf( array( 'wiadomoscEmailNiepomyslnie' => time() ) );
		return false;
	}

}

function zalogowany() {

	if ( !isset($_COOKIE['WT_administracja']) or odczytKonf('identyfikatorLogowania') == '' )
		return false;

	else {

		include_once( SYSTEM . '/funkcje/password.php' );

		if ( password_verify( $_COOKIE['WT_administracja'], odczytKonf('identyfikatorLogowania') ) )
			return true;
		else
			return false;

	}

}

function generujMapeWitryny() {

	if ( odczytKonf('mapaWitryny') == 'nieTworz' )
		return false;

	$stronyMapy = array();

	if ( odczytKonf('mapaWitryny') == 'tworzTylkoWybrane' ) {

		$stronyMapy = explode( ',', odczytKonf('mapaWitrynyStrony') );

		foreach ( $stronyMapy as $klucz => $identyfikatorStrony ) {
			if ( !odczytStrony($identyfikatorStrony) )
				unset( $stronyMapy[$klucz] );
		}

	}

	else {

		$stronyMapy = listaStron();

		if ( odczytKonf('mapaWitryny') == 'tworzWyjatki' ) {

			$stronyWykluczone = explode( ',', odczytKonf('mapaWitrynyStrony') );

			foreach( $stronyMapy as $klucz => $identyfikatorStrony ) {
				foreach ( $stronyWykluczone as $identyfikatorWykluczonej ) {
					if ( $identyfikatorStrony == $identyfikatorWykluczonej )
						unset( $stronyMapy[$klucz] );
				}
			}

		}

	}

	if ( count($stronyMapy) == 0 or !is_writable('.') )
		return false;

	$z = null;
	if ( !odczytKonf('przyjazneAdresy') )
		$z = '?id=';

	$trescPliku = '<?xml version="1.0" encoding="UTF-8"?>' . "\n" . '<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">' . "\n";

	foreach ( $stronyMapy as $identyfikator )
		$trescPliku .= '	 <url>' . "\n" . '			<loc>' . odczytKonf('adres') . '/' . $z . $identyfikator . '</loc>' . "\n" . '			<changefreq>weekly</changefreq>' . "\n" . '			<priority>1.0</priority>' . "\n" . '	 </url>' . "\n";

	$trescPliku .= '</urlset>';

	return zapiszPlik ( 'sitemap.xml', $trescPliku );

}